Class | Fog::Compute::AWS::NetworkInterface
In: | lib/fog/aws/models/compute/network_interface.rb
Parent: | Fog::Model

### Methods

destroy save

### Public Instance methods

destroy()

Removes an existing network interface

network_interface.destroy

#### Returns

True or false depending on the result

save()

Create a network_interface

     >> g = AWS.network_interfaces.new(:subnet_id => "subnet-someId", options)
     >> g.save

options is an optional hash which may contain ‘PrivateIpAddress’, ‘Description’, ‘groupSet‘

## Returns:

requestId and a networkInterface object

[Validate]